org.apache.lucene.analysis.cn.smart.hhmm

## Class HHMMSegmenter

- java.lang.Object
- - org.apache.lucene.analysis.cn.smart.hhmm.HHMMSegmenter

    public class HHMMSegmenter
    extends Object

Finds the optimal segmentation of a sentence into Chinese words

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`HHMMSegmenter()`

### Method Summary

Methods
`List<SegToken>` `process(String sentence)` Return a list of `SegToken` representing the best segmentation of a sentence

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HHMMSegmenter

    public HHMMSegmenter()

### Method Detail

#### process

    public List<SegToken> process(String sentence)

Return a list of `SegToken` representing the best segmentation of a sentence

Parameters:
  `sentence` - input sentence
Returns:
  best segmentation as a `List`